Vulkan i386 on AMD

Hey all. New user here, and I’m on a fresh install of EOS Budgie

I’m using a Vega 64 card and have amdgpu-pro installed (needed for DaVinci Resolve). I’m now trying to install Lutris, and it’s complaining that it can’t find vulkan drivers.

I’ve tried all the available drivers from the Arch wikiamdvlk, vulkan-radeon, and vulkan-amdgpu-pro, as well as their lib32-* counterparts. All installed separately, and with reboots in-between installations.

I cannot seem to get past this error. Any ideas?

Thanks

Can You check if you have the following. You may need to install it.

lib32-vulkan-icd-loader

2 Likes

That seemed to do the trick, thank you!

You should have all of these for 32 bit games with vulkan support i think.

lib32-mesa vulkan-radeon lib32-vulkan-radeon vulkan-icd-loader lib32-vulkan-icd-loader
1 Like

Thank you. This is what I’ve got at the moment and everything seems to be working well without errors. Should I install lib32-mesa? That’s missing from the list of packages you just posted

$ pacman -Q | grep 'vulkan\|amdgpu\|mesa'
amdgpu-core-meta 19.30_934563-1
amdgpu-pro-core-meta 19.30_934563-1
amdgpu-pro-libgl 19.30_934563-1
lib32-vulkan-icd-loader 1.2.140-1
lib32-vulkan-radeon 20.0.6-2
mesa 20.0.6-2
mesa-demos 8.4.0-4
opencl-amdgpu-pro-comgr 19.30_934563-1
opencl-amdgpu-pro-pal 19.30_934563-1
vulkan-icd-loader 1.2.140-1
vulkan-radeon 20.0.6-2
xf86-video-amdgpu 19.1.0-1

Ya i probably would. Hopefully it’s not a problem. If it’s 32 bit games you would think it needs it if it’s using mesa.

Done. I appreciate the help. AMD graphics on Linux can be a little confusing

I’m not a gamer but i do have an AMD RX590 so i could install lutris and give it a go!